Bug 1287290 - Stop job running for session 1 of a regular user because of evolution
Stop job running for session 1 of a regular user because of evolution
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
23
All Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-01 17:00 EST by javiertury
Modified: 2016-12-20 11:29 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:29:32 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javiertury 2015-12-01 17:00:49 EST
Description of problem:

Switching off the computer is delayed by a warning similar to the following and then waits 1 min and 30 sec to terminate the session

"A stop job is running for session 1 of user <regular user>"

Although a LVM volume inside a LUKS container also times out, I think it isn't the problem. In my opinion it's waiting for session-1.scope to terminate.

I think that the delay could be caused by evolution depending on dbus to terminate, and dbus refusing connections because the system is shutting down.

This is what the affected component logs around that time:

```
$ journalctl -b -1 -u session-1.scope
Dec 01 21:04:30 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:30 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-session[2568]: gnome-session-binary[2568]: GLib-GObject-CRITICAL: g_object_unref: assertion 'G_IS_OBJECT (object)' failed
Dec 01 21:04:31 localhost.localdomain gnome-shell.desktop[2856]: (gnome-shell:2856): GLib-GObject-WARNING **: g_object_notify: object class 'UpClient' has no property named 'g-name-owner'
Dec 01 21:04:31 localhost.localdomain org.gtk.vfs.Daemon[2565]: A connection to the bus can't be made
Dec 01 21:04:31 localhost.localdomain systemd[1]: Stopping Session 1 of user javier.
Dec 01 21:04:31 localhost.localdomain org.gnome.evolution.dataserver.Sources5[2565]: (evolution-source-registry:2974): GLib-GIO-WARNING **: Error releasing name org.gnome.evolution.dataserver.Sources5: The connection is closed
Dec 01 21:04:31 localhost.localdomain org.gnome.evolution.dataserver.Sources5[2565]: (evolution-source-registry:2974): GLib-GIO-CRITICAL **: g_dbus_interface_skeleton_unexport: assertion 'interface_->priv->connections != NULL' failed
Dec 01 21:04:31 localhost.localdomain org.gnome.evolution.dataserver.Sources5[2565]: (evolution-source-registry:2974): GLib-CRITICAL **: Source ID 1 was not found when attempting to remove it
Dec 01 21:04:31 localhost.localdomain org.gnome.evolution.dataserver.Sources5[2565]: (evolution-source-registry:2974): GLib-CRITICAL **: Source ID 2 was not found when attempting to remove it
Dec 01 21:06:01 localhost.localdomain systemd[1]: session-1.scope: Stopping timed out. Killing.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopped Session 1 of user javier.
Dec 01 21:06:01 localhost.localdomain systemd[1]: session-1.scope: Unit entered failed state.
```

```
$ journalctl -b -1
Dec 01 21:04:34 localhost.localdomain systemd[1]: Stopped Rollback uncommitted netcf network config change transactions.
Dec 01 21:04:34 localhost.localdomain systemd[1]: Stopping Rollback uncommitted netcf network config change transactions...
Dec 01 21:04:34 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=netcf-transaction comm
="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 01 21:05:05 localhost.localdomain systemd[1]: Received SIGRTMIN+20 from PID 7776 (plymouthd).
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-lvm\x2dpv\x2duuid\x2dZw0FBp\x2dsh0Q\x2dAEZO\x2d9Dvt\x2d6TL5\x2d1i0O\x2dkKNPec.device: Job dev-disk-by
\x2did-lvm\x2dpv\x2duuid\x2dZw0FBp\x2dsh0Q\x2dAEZO\x2d9Dvt\x2d6TL5\x2d1i0O\x2dkKNPec.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-lvm\x2dpv\x2duuid\x2dZw0FBp\x2dsh0Q\x2dAEZO\x2d9Dvt\x2d6TL5\x2d1i0O\x2dkKNPec.device: Job dev-disk-by
\x2did-lvm\x2dpv\x2duuid\x2dZw0FBp\x2dsh0Q\x2dAEZO\x2d9Dvt\x2d6TL5\x2d1i0O\x2dkKNPec.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d238e1ad0710a4cef8d5d101a0ace655b\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\
x2d8d5d\x2d101a0ace655b.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d238e1ad0710a4cef8d5d101a0ace655b\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101
a0ace655b.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d238e1ad0710a4cef8d5d101a0ace655b\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\
x2d8d5d\x2d101a0ace655b.device: Job dev-disk-by\x2did-dm\x2duuid\x2dCRYPT\x2dLUKS1\x2d238e1ad0710a4cef8d5d101a0ace655b\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101
a0ace655b.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-block-253:0.device: Job dev-block-253:0.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-block-253:0.device: Job dev-block-253:0.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: sys-devices-virtual-block-dm\x2d0.device: Job sys-devices-virtual-block-dm\x2d0.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: sys-devices-virtual-block-dm\x2d0.device: Job sys-devices-virtual-block-dm\x2d0.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-dm\x2dname\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101a0ace655b.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101a0ace655b.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-disk-by\x2did-dm\x2dname\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101a0ace655b.device: Job dev-disk-by\x2did-dm\x2dname\x2dluks\x2d238e1ad0\x2d710a\x2d4cef\x2d8d5d\x2d101a0ace655b.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-dm\x2d0.device: Job dev-dm\x2d0.device/stop timed out.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Timed out stoppping LVM PV Zw0FBp-sh0Q-AEZO-9Dvt-6TL5-1i0O-kKNPec on /dev/dm-0.
Dec 01 21:06:01 localhost.localdomain systemd[1]: dev-dm\x2d0.device: Job dev-dm\x2d0.device/stop failed with result 'timeout'.
Dec 01 21:06:01 localhost.localdomain systemd[1]: session-1.scope: Stopping timed out. Killing.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopped Session 1 of user javier.
Dec 01 21:06:01 localhost.localdomain systemd[1]: session-1.scope: Unit entered failed state.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopping Permit User Sessions...
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopping Login Service...
Dec 01 21:06:01 localhost.localdomain systemd[1]: Removed slice user-1000.slice.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopping user-1000.slice.
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopped Permit User Sessions.
Dec 01 21:06:01 localhost.localdomain audit[1]: SERVICE_STOP pid=1 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:init_t:s0 msg='unit=systemd-user-sessions comm="systemd" exe="/usr/lib/systemd/systemd" hostname=? addr=? terminal=? res=success'
Dec 01 21:06:01 localhost.localdomain systemd[1]: Stopped Login Service.
```

```
$ journalctl -b -1 -u dbus.service
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activating via systemd: service name='org.freedesktop.PolicyKit1' unit='polkit.service'
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activation via systemd failed for unit 'polkit.service': Refusing activation, D-Bus is shutting down.
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activating via systemd: service name='org.freedesktop.Accounts' unit='accounts-daemon.service'
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activation via systemd failed for unit 'accounts-daemon.service': Refusing activation, D-Bus is shutting down.
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activating via systemd: service name='org.freedesktop.Accounts' unit='accounts-daemon.service'
Dec 01 21:04:31 localhost.localdomain dbus[1129]: [system] Activation via systemd failed for unit 'accounts-daemon.service': Refusing activation, D-Bus is shutting down.
Dec 01 21:04:33 localhost.localdomain systemd[1]: Stopping D-Bus System Message Bus...
Dec 01 21:04:33 localhost.localdomain systemd[1]: Stopped D-Bus System Message Bus.
```

```
$ journalctl -b -1 -u accounts-daemon.service
Dec 01 21:04:31 localhost.localdomain systemd[1]: Stopping Accounts Service...
Dec 01 21:04:31 localhost.localdomain systemd[1]: Stopped Accounts Service.
```
Comment 1 Fedora End Of Life 2016-11-24 08:53:23 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2016-12-20 11:29:32 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.